this.name			= "SIRF_ships_spawn_conditions";
this.author			= "Montana05";
this.description	= "Conditions for the spawn of some SIRF ships";
this.version		= "2.60";
this.copyright		= "2021 Montana05";
this.licence   		= "CC BY-NC-SA 4.0";
"use strict";

this.allowSpawnShip = function(shipKey) 
{
	if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova || 
	   system.government < 3 || system.techLevel < 7 || system.techLevel > 13 || 
	   system.countShipsWithRole("SIRF-YARD") < 1)
	{
		return false;
	}
	else return true;
};	


